Bug 234856 - irc/ngircd: add PAM support patch
Summary: irc/ngircd: add PAM support patch
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-11 13:40 UTC by Jan Bramkamp
Modified: 2019-02-06 14:39 UTC (History)
2 users (show)

See Also:


Attachments
patch to enable PAM (740 bytes, patch)
2019-01-11 13:40 UTC, Jan Bramkamp
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Bramkamp 2019-01-11 13:40:15 UTC
Created attachment 201022 [details]
patch to enable PAM

Please add PAM support the port and enable it by default. I attached a patch that should accomplish this.
Comment 1 Bugzilla Automation freebsd_committer 2019-01-11 13:40:15 UTC
Maintainer informed via mail
Comment 2 Jan Bramkamp 2019-01-28 14:59:11 UTC
The maintainer hasn't responded and the patch works for me on FreeBSD 11.2 and 12.0. It is required to enable per user passwords which is a necessary feature for every IRC daemon facing todays internet.
Comment 3 Jan Bramkamp 2019-01-28 15:00:32 UTC
Rodrigo N. Hernandez: What kind of QA do you expect before you would commit this patch?
Comment 4 Jan Bramkamp 2019-02-06 14:13:52 UTC
Should i just "claim" a maintainer and committer timeout on this and ask someone else to commit it?
Comment 5 commit-hook freebsd_committer 2019-02-06 14:39:35 UTC
A commit references this bug:

Author: tobik
Date: Wed Feb  6 14:39:00 UTC 2019
New revision: 492307
URL: https://svnweb.freebsd.org/changeset/ports/492307

Log:
  irc/ngircd: Enable PAM support by default

  PR:		234856
  Submitted by:	Jan Bramkamp <crest@bultmann.eu>
  Approved by:	fgsch@lodoss.net (maintainer, ~4 weeks)

Changes:
  head/irc/ngircd/Makefile